package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 子系统用户账号关联对象 sys_user_relate
 * 
 * @author ruoyi
 * @date 2022-11-02
 */
public class UserRelate extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long relateId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 用户姓名 */
    @Excel(name = "用户姓名")
    private String userName;

    //档案状态
    private String danganStatus;

    //档案编号
    private String danganNum;

    /** 本系统登录名 */
    @Excel(name = "本系统登录名")
    private String loginName;

    /** 子系统id */
    @Excel(name = "子系统id")
    private Long danganId;

    /** 子系统名称 */
    @Excel(name = "子系统名称")
    private String danganName;

    /** 子系统登录名 */
    @Excel(name = "子系统登录名")
    private String danganLoginName;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    /** 关联时间 */
    @Excel(name = "关联时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date relateTime;

    private String childDatas;

    /**
     * 档案 地址
     */
    private String danganUrl;


    //档案编号
    private String danganNums;



    private Dangan dangan;


    public Dangan getDangan() {
        return dangan;
    }

    public void setDangan(Dangan dangan) {
        this.dangan = dangan;
    }

    public String getDanganUrl() {
        return danganUrl;
    }

    public String getDanganNum() {
        return danganNum;
    }

    public void setDanganNum(String danganNum) {
        this.danganNum = danganNum;
    }

    public String getDanganStatus() {
        return danganStatus;
    }

    public void setDanganStatus(String danganStatus) {
        this.danganStatus = danganStatus;
    }

    public void setDanganUrl(String danganUrl) {
        this.danganUrl = danganUrl;
    }

    public void setRelateId(Long relateId)
    {
        this.relateId = relateId;
    }

    public String getDanganNums() {
        return danganNums;
    }

    public void setDanganNums(String danganNums) {
        this.danganNums = danganNums;
    }

    public Long getRelateId()
    {
        return relateId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setUserName(String userName) 
    {
        this.userName = userName;
    }

    public String getUserName() 
    {
        return userName;
    }
    public void setLoginName(String loginName) 
    {
        this.loginName = loginName;
    }

    public String getLoginName() 
    {
        return loginName;
    }
    public void setDanganId(Long danganId) 
    {
        this.danganId = danganId;
    }

    public Long getDanganId() 
    {
        return danganId;
    }
    public void setDanganName(String danganName) 
    {
        this.danganName = danganName;
    }

    public String getDanganName() 
    {
        return danganName;
    }
    public void setDanganLoginName(String danganLoginName) 
    {
        this.danganLoginName = danganLoginName;
    }

    public String getDanganLoginName() 
    {
        return danganLoginName;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setRelateTime(Date relateTime) 
    {
        this.relateTime = relateTime;
    }

    public Date getRelateTime() 
    {
        return relateTime;
    }

    public String getChildDatas() {
        return childDatas;
    }

    public void setChildDatas(String childDatas) {
        this.childDatas = childDatas;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("relateId", getRelateId())
            .append("userId", getUserId())
            .append("userName", getUserName())
            .append("loginName", getLoginName())
            .append("danganId", getDanganId())
            .append("danganName", getDanganName())
            .append("danganLoginName", getDanganLoginName())
            .append("status", getStatus())
            .append("relateTime", getRelateTime())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
